import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Dolphin here.
 * 
 * @author Zynik P. Nitho
 * @version 0.1.3
 */
public class Dolphin extends Actor
{
    private boolean hasBlowhole = true;
    private int length;
    private int weight;
    protected int speed;
    //protected: can be shared between superclasses and subsclasses
    
    public Dolphin(int l, int w)
    {
        length = l;
        weight = w;
        GreenfootImage lalala = getImage();
        lalala.scale(length, weight);
        setImage(lalala);
        speed = 5;
    }
    /**
     * Act - do whatever the Dolphin wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        flail(10);
    }    
    
    public void flail(int often)
    {
        move(speed);
        int old = getRotation();
        setRotation(old + 2);
        if (Greenfoot.getRandomNumber(often) == 0) {
            GreenfootImage fTP = getImage(); 
            fTP.mirrorHorizontally(); 
            setImage(fTP);
            setRotation(old - 2);
            move(speed * 5);
        }
        if (Greenfoot.getRandomNumber(often * 2) == 0) {
            setRotation(old - 64);
            move(speed * 50);
        }
    }
    
    public Dolphin(){speed = 1;}
}
